Deploy RESTBase with scap3
Closed, ResolvedPublic

Description

Use Scap3 for RESTBase deploys. Phases:

  • Migrate code deployments to Scap3
  • Migrate config deploys to Scap3
    • Update the deploy repo
    • Update ops/puppet
greg created this task.Oct 22 2015, 10:21 PM
greg updated the task description. (Show Details)
greg raised the priority of this task from to Normal.
greg added projects: Scap, Deployments.
greg added subscribers: demon, mmodell, thcipriani and 3 others.

Tested on Beta Cluster on Wednesday Oct 21st, successful test (with followup fixups, tasks already created).

Tested on Beta Cluster on Wednesday Oct 21st, successful test (with followup fixups, tasks already created).

Notes available here.

greg edited projects, added scap2; removed Deployments.Feb 9 2016, 11:33 PM
dduvall moved this task from Needs triage to Adoption on the Scap board.Feb 12 2016, 7:52 PM
mmodell moved this task from Adoption to Scap3-Adoption-Phase1 on the Scap board.Mar 4 2016, 7:01 PM
mmodell edited projects, added Scap (Scap3-Adoption-Phase1); removed Scap.
mobrovac claimed this task.

Change 346246 had a related patch set uploaded (by Mobrovac):
[mediawiki/services/restbase/deploy@master] Migrate to Scap3 deploys

https://gerrit.wikimedia.org/r/346246

Change 346248 had a related patch set uploaded (by Mobrovac):
[operations/puppet@production] RESTBase: Migrate to Scap3 deployment

https://gerrit.wikimedia.org/r/346248

mobrovac updated the task description. (Show Details)Apr 4 2017, 7:30 AM
Eevans awarded a token.Apr 4 2017, 1:54 PM

Change 346246 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Migrate to Scap3 deploys

https://gerrit.wikimedia.org/r/346246

The first round of patches scheduled for PuppetSWAT on Thursday, 2017-04-06

@akosiaris @thcipriani could we schedule a slot next week where all of us are present so that we can switch RESTBase to Scap3 deploys?

Yes, fine by me. Monday after/before the Ops meeting ?

Yes, fine by me. Monday after/before the Ops meeting ?

I could be around 3pm UTC monday, or 5:30pm UTC monday. Meetings from 4pm UTC-5:30pm UTC.

Great! Let's settle for 15h UTC on Monday then.

Change 346248 merged by Alexandros Kosiaris:
[operations/puppet@production] RESTBase: Migrate to Scap3 deployment

https://gerrit.wikimedia.org/r/346248

Change 347416 had a related patch set uploaded (by Mobrovac):
[mediawiki/services/restbase/deploy@master] Scap: Do not (de)pool nodes in dev-cluster and staging

https://gerrit.wikimedia.org/r/347416

Change 347416 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Scap: Do not (de)pool nodes in dev-cluster and staging

https://gerrit.wikimedia.org/r/347416

mobrovac updated the task description. (Show Details)Apr 10 2017, 5:01 PM

Change 347452 had a related patch set uploaded (by Mobrovac):
[operations/puppet@production] RESTBase: Switch to Scap3 config deploys

https://gerrit.wikimedia.org/r/347452

Change 347562 had a related patch set uploaded (by Mobrovac):
[mediawiki/services/restbase/deploy@master] Migrate to Scap3 config deploys

https://gerrit.wikimedia.org/r/347562

Change 347562 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Migrate to Scap3 config deploys

https://gerrit.wikimedia.org/r/347562

Change 347564 had a related patch set uploaded (by Mobrovac):
[mediawiki/services/restbase/deploy@master] Scap2 Config: Fix Jinja syntax - s/end/endif

https://gerrit.wikimedia.org/r/347564

Change 347564 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Scap2 Config: Fix Jinja syntax - s/end/endif

https://gerrit.wikimedia.org/r/347564

Change 347623 had a related patch set uploaded (by Mobrovac):
[mediawiki/services/restbase/deploy@master] Scap3 Config: Some more Jinja2 fixes

https://gerrit.wikimedia.org/r/347623

Change 347623 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Scap3 Config: Some more Jinja2 fixes

https://gerrit.wikimedia.org/r/347623

Change 347632 had a related patch set uploaded (by Mobrovac):
[mediawiki/services/restbase/deploy@master] Scap3 Config: Fix spacing for Cassandra TLS options

https://gerrit.wikimedia.org/r/347632

Change 347632 merged by Mobrovac:
[mediawiki/services/restbase/deploy@master] Scap3 Config: Fix spacing for Cassandra TLS options

https://gerrit.wikimedia.org/r/347632

Mentioned in SAL (#wikimedia-operations) [2017-04-11T16:28:51Z] <mobrovac> restbase disabling puppet for T116335

Change 347452 merged by Alexandros Kosiaris:
[operations/puppet@production] RESTBase: Switch to Scap3 config deploys

https://gerrit.wikimedia.org/r/347452

Mentioned in SAL (#wikimedia-operations) [2017-04-11T16:32:32Z] <mobrovac@tin> Started deploy [restbase/deploy@e470b9f]: Dev Cluster: Initial Scap3 config deploy - T116335

Mentioned in SAL (#wikimedia-operations) [2017-04-11T16:33:36Z] <mobrovac@tin> Finished deploy [restbase/deploy@e470b9f]: Dev Cluster: Initial Scap3 config deploy - T116335 (duration: 01m 04s)

Mentioned in SAL (#wikimedia-operations) [2017-04-11T16:41:40Z] <mobrovac@tin> Started deploy [restbase/deploy@e470b9f]: Staging: Initial Scap3 config deploy - T116335

Mentioned in SAL (#wikimedia-operations) [2017-04-11T16:43:13Z] <mobrovac@tin> Finished deploy [restbase/deploy@e470b9f]: Staging: Initial Scap3 config deploy - T116335 (duration: 01m 33s)

Change 347639 had a related patch set uploaded (by Mobrovac):
[operations/puppet@production] RESTBase: Use the provided logging name and statsd alternative prefixes

https://gerrit.wikimedia.org/r/347639

Change 347639 merged by Alexandros Kosiaris:
[operations/puppet@production] RESTBase: Use the provided logging name and statsd alternative prefixes

https://gerrit.wikimedia.org/r/347639

Mentioned in SAL (#wikimedia-operations) [2017-04-11T17:01:59Z] <mobrovac@tin> Started deploy [restbase/deploy@e470b9f]: Dev Cluster: Initial Scap3 config deploy, take 2 - T116335

Mentioned in SAL (#wikimedia-operations) [2017-04-11T17:02:57Z] <mobrovac@tin> Finished deploy [restbase/deploy@e470b9f]: Dev Cluster: Initial Scap3 config deploy, take 2 - T116335 (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2017-04-11T17:05:37Z] <mobrovac@tin> Started deploy [restbase/deploy@e470b9f]: Staging: Initial Scap3 config deploy, take 2 - T116335

Mentioned in SAL (#wikimedia-operations) [2017-04-11T17:07:50Z] <mobrovac@tin> Finished deploy [restbase/deploy@e470b9f]: Staging: Initial Scap3 config deploy, take 2 - T116335 (duration: 02m 12s)

Mentioned in SAL (#wikimedia-operations) [2017-04-11T17:08:47Z] <mobrovac> restbase enabling back puppet for T116335

Mentioned in SAL (#wikimedia-operations) [2017-04-11T17:30:52Z] <mobrovac@tin> Started deploy [restbase/deploy@e470b9f]: Initial Scap3 config deploy - T116335

Mentioned in SAL (#wikimedia-operations) [2017-04-11T17:41:32Z] <mobrovac@tin> Finished deploy [restbase/deploy@e470b9f]: Initial Scap3 config deploy - T116335 (duration: 10m 39s)

mobrovac updated the task description. (Show Details)Apr 11 2017, 5:51 PM
mobrovac edited projects, added Services (done); removed Patch-For-Review, Services (doing).
mobrovac closed this task as Resolved.

The switch has been fully completed!